Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface ILinkEnd

    com.change_vision.jude.api.inf.model.ILinkEnd

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public ILinkEnd

extends INamedElement

Interface for Link End.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getNavigability()` Get Navigability.
`abstract IInstanceSpecification` | `getType()` Get Type.
`abstract boolean` | `isAggregate()` Check if it is Aggregate.
`abstract boolean` | `isComposite()` Check if it is Composite.
`abstract void` | `setAggregation(boolean isAggregate)` Set Aggregation.
`abstract void` | `setComposite(boolean isComposite)` Set Composite.
`abstract void` | `setNavigability(String navigability)` Set Navigability.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getType

    abstract IInstanceSpecification getType()

  Get Type.

  Returns:
    Type. Return null in case no type is found.

### getNavigability

    abstract String getNavigability()

  Get Navigability.

  Returns:
    "Navigable" Navigable / "Non_Navigable" Non Navigable / "Unspecified" Unspecified

### setNavigability

    abstract void setNavigability(String navigability)

  Set Navigability.

  Parameters:
    `navigability` - "Navigable" Navigable / "Non_Navigable" Non Navigable / "Unspecified" Unspecified
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### isAggregate

    abstract boolean isAggregate()

  Check if it is Aggregate.

  Returns:
    true it is Aggregate / false it is Attribute not Aggregate

### setAggregation

    abstract void setAggregation(boolean isAggregate)

  Set Aggregation.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### isComposite

    abstract boolean isComposite()

  Check if it is Composite.

  Returns:
    true it is composite / false it is not composite

### setComposite

    abstract void setComposite(boolean isComposite)

  Set Composite.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD